| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions | Variables
IOTest Namespace Reference

## Functions
def | storeExplorer (load=1, freq=0.0001, name='StoreExplorerAlg')
def | update ()
def | printDelta (s0, s1)

## Variables
string | input_file = 'castor://castorlhcb.cern.ch//castor/cern.ch/grid/lhcb/LHCb/Collision11/SEMILEPTONIC.DST/00012569/0000/00012569_00000004_1.semileptonic.dst?svcClass=lhcbdisk'
| appConf = ApplicationMgr(OutputLevel=INFO)
| HistogramPersistency
| RootCLID
| EnableFaultHandler
| root = Gaudi__RootCnvSvc('RootCnvSvc')
| CacheBranches
| VetoBranches
| Input
| PrintFreq
| OutputLevel
| appMgr = GaudiPython.AppMgr()
| sel = appMgr.evtsel()
| evt = appMgr.evtsvc()
| start = update()
int | N = 0
| rc = appMgr.run(1)
| end = update()

## Detailed Description

       Simple test application to read LHCb dst files
       For reading other root files: change the data access
       if '/Event/Rec/Header' is not present.

       Requires: 'SetupProject LHCb'

       Script inherited from T.Ruf
       M.Frank  CERN/LHCb

## Function Documentation

def IOTest.printDelta | ( |  | s0,
|  |  | s1
| ) |  |

Definition at line 85 of file IOTest.py.

85 def printDelta(s0, s1):
86 for s in s1:
87 if s == 'time':
88 print '%15s : %10.2F sec' % (s, (s1[s] - s0[s]))
89 else:
90 print '%15s : %10.2F MB' % (s, (s1[s] - s0[s]) / 1.E6)
91
92
IOTest.printDelta
def printDelta(s0, s1)
Definition: IOTest.py:85

def IOTest.storeExplorer | ( |  | load = `1`,
|  |  | freq = `0.0001`,
|  |  | name = `'StoreExplorerAlg'`
| ) |  |

Definition at line 26 of file IOTest.py.

26 def storeExplorer(load=1, freq=0.0001, name='StoreExplorerAlg'):
27 from Configurables import StoreExplorerAlg
28 alg = StoreExplorerAlg(name)
29 alg.Load = load
30 alg.PrintFreq = freq
31 return alg
32
33 # -----------------------------------------------------------------------------
34
35
IOTest.storeExplorer
def storeExplorer(load=1, freq=0.0001, name='StoreExplorerAlg')
Definition: IOTest.py:26
StoreExplorerAlg
Small algorith, which traverses the data store and prints generic information about all leaves...
Definition: StoreExplorerAlg.cpp:32

def IOTest.update | ( |  | ) |

Definition at line 73 of file IOTest.py.

73 def update():
74 statistic = {}
75 test = open('/proc/self/io')
76 io = test.readlines()
77 test.close()
78 for l in io:
79 temp = l.split(':')
80 statistic[temp[0]] = int(temp[1])
81 statistic['time'] = time.time()
82 return statistic
83
84
IOTest.update
def update()
Definition: IOTest.py:73

## Variable Documentation

IOTest.appConf = ApplicationMgr(OutputLevel=INFO)

Definition at line 39 of file IOTest.py.

IOTest.appMgr = GaudiPython.AppMgr()

Definition at line 94 of file IOTest.py.

IOTest.CacheBranches

Definition at line 48 of file IOTest.py.

IOTest.EnableFaultHandler

Definition at line 46 of file IOTest.py.

IOTest.end = update()

Definition at line 114 of file IOTest.py.

IOTest.evt = appMgr.evtsvc()

Definition at line 96 of file IOTest.py.

IOTest.HistogramPersistency

Definition at line 40 of file IOTest.py.

IOTest.Input

Definition at line 67 of file IOTest.py.

string IOTest.input_file = 'castor://castorlhcb.cern.ch//castor/cern.ch/grid/lhcb/LHCb/Collision11/SEMILEPTONIC.DST/00012569/0000/00012569_00000004_1.semileptonic.dst?svcClass=lhcbdisk'

Definition at line 20 of file IOTest.py.

int IOTest.N = 0

Definition at line 101 of file IOTest.py.

IOTest.OutputLevel

Definition at line 70 of file IOTest.py.

IOTest.PrintFreq

Definition at line 69 of file IOTest.py.

IOTest.rc = appMgr.run(1)

Definition at line 103 of file IOTest.py.

IOTest.root = Gaudi__RootCnvSvc('RootCnvSvc')

Definition at line 47 of file IOTest.py.

IOTest.RootCLID

Definition at line 45 of file IOTest.py.

IOTest.sel = appMgr.evtsel()

Definition at line 95 of file IOTest.py.

IOTest.start = update()

Definition at line 99 of file IOTest.py.

IOTest.VetoBranches

Definition at line 49 of file IOTest.py.